%define commit f83df113eb19b8bf9780f93ff2c55b5403ac03d6

Name:           dgroc
Version:        20160827
Release:        5%{?dist}
Summary:        Rebuild project from git in COPR

License:        GPLv3
URL:            https://github.com/pypingou/dgroc
Source0:        https://github.com/pypingou/%{name}/archive/%{commit}.zip

BuildArch:      noarch

Requires:       libgit2-devel
Requires:       python-pygit2
Requires:       python-requests
Requires:       rpm-python
Requires:       rpm-build
Requires:       git-core

%description
dgroc aims at easily providing daily build of a project tracked via git
and made available via copr.


%prep
%autosetup -n %{name}-%{commit}


%build
# Nothing to do really...

%install
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 dgroc.py %{buildroot}%{_bindir}/%{name}


%files
%license LICENSE
%doc README.rst
%{_bindir}/%{name}



%changelog
* Mon Apr 30 2018 Lubomír Sedlář <lsedlar@redhat.com> - 20160827-5
- Rebuild

* Mon Aug 21 2017 Lubomír Sedlář <lsedlar@redhat.com> - 20160827-4
- Rebuild

* Wed Dec 14 2016 Lubomír Sedlář <lsedlar@redhat.com> - 20160827-3
- Bump to rebuild for F25

* Tue Sep 06 2016 Lubomír Sedlář <lsedlar@redhat.com> - 20160827-2
- Depend on git-core

* Mon Aug 29 2016 Lubomír Sedlář <lsedlar@redhat.com> - 20160827-1
- New version

* Sat Aug 27 2016 Lubomír Sedlář <lsedlar@redhat.com> - 20160826-1
- New version

* Mon Aug 22 2016 Lubomír Sedlář <lsedlar@redhat.com> - 20160815-3
- Update dependencies

* Sun Aug 21 2016 Lubomír Sedlář <lsedlar@redhat.com> - 20160815-2
- Add shebang

* Thu Aug 18 2016 Lubomír Sedlář <lsedlar@redhat.com> - 20160815-1
- Initial packaging
